aboutsummaryrefslogtreecommitdiff
path: root/crypto/update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'crypto/update.sh')
-rwxr-xr-xcrypto/update.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/crypto/update.sh b/crypto/update.sh
new file mode 100755
index 0000000..c9cd37a
--- /dev/null
+++ b/crypto/update.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env sh
+
+set -e
+set -x
+
+MYDIR="$(dirname ${0})"
+wget 'https://raw.githubusercontent.com/kokke/tiny-AES-c/master/aes.c' -O "${MYDIR}/aes.c"
+wget 'https://raw.githubusercontent.com/kokke/tiny-AES-c/master/aes.h' -O "${MYDIR}/aes.h"
+wget 'https://raw.githubusercontent.com/kokke/tiny-HMAC-c/main/src/hmac.c' -O "${MYDIR}/hmac.c"
+wget 'https://raw.githubusercontent.com/kokke/tiny-HMAC-c/main/src/hmac.h' -O "${MYDIR}/hmac.h"
+wget 'https://raw.githubusercontent.com/kokke/tiny-HMAC-c/main/src/sha1.c' -O "${MYDIR}/sha1.c"
+wget 'https://raw.githubusercontent.com/kokke/tiny-HMAC-c/main/src/sha1.h' -O "${MYDIR}/sha1.h"
+wget 'https://raw.githubusercontent.com/bonybrown/tiny-AES128-C/master/pkcs7_padding.c' -O "${MYDIR}/pkcs7_padding.c"
+wget 'https://raw.githubusercontent.com/bonybrown/tiny-AES128-C/master/pkcs7_padding.h' -O "${MYDIR}/pkcs7_padding.h"